Update Coupon
curl --request PUT \
--url https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/coupons/{couponId} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"name": "Winter Sale"
}
}
'import requests
url = "https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/coupons/{couponId}"
payload = { "data": { "name": "Winter Sale" } }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {name: 'Winter Sale'}})
};
fetch('https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/coupons/{couponId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "SUMMER20",
"object": "coupon",
"amount_off": null,
"created": 1700000000,
"currency": null,
"duration": "once",
"duration_in_months": null,
"livemode": true,
"max_redemptions": null,
"metadata": {},
"name": "Winter Sale",
"percent_off": 25,
"redeem_by": null,
"times_redeemed": 0,
"valid": true
}{
"error": "An unexpected error occurred"
}Coupons
Update Coupon
Update a coupon for a connected account.
PUT
/
stripe
/
connect
/
accounts
/
{accountId}
/
coupons
/
{couponId}
Update Coupon
Headers
All requests to the ChatDash API must be validated with the agency API Key found on your agency profile
Path Parameters
The Stripe connected account ID
The Stripe coupon ID
Body
application/json
Show child attributes
Show child attributes
Response
OK
Example:
"SUMMER20"
Example:
"coupon"
Example:
null
Example:
1700000000
Example:
null
Example:
"once"
Example:
null
Example:
true
Example:
null
Example:
{}
Example:
"Winter Sale"
Example:
25
Example:
null
Example:
0
Example:
true
⌘I
